import React from 'react';

// 内库使用-start
import DOMUtil from "./../../../../utils/DOMUtil";
// 内库使用-end

/* 测试使用-start
import { DOMUtil } from 'seedsui-react'
测试使用-end */

// 底部按钮
export default function FooterButton(_ref) {
  var disabled = _ref.disabled,
    type = _ref.type,
    id = _ref.id,
    name = _ref.name,
    primary = _ref.primary,
    onChange = _ref.onChange;
  function handleClick() {
    onChange && onChange({
      type: type,
      id: id,
      name: name,
      primary: primary
    });
  }
  return /*#__PURE__*/React.createElement("div", {
    className: DOMUtil.classNames('layout-footer-button', primary ? 'layout-footer-button-primary' : 'layout-footer-button-default', disabled ? 'disabled' : ''),
    onClick: handleClick
  }, name);
}